Skip to main content
GET
/
v2
/
token-groups
Get a list of token groups
curl --request GET \
  --url https://api.spirii.com/v2/token-groups \
  --header 'Authorization: <api-key>'
{
  "data": [
    {
      "id": 123,
      "name": "Premium Users Group",
      "createdAt": "2025-06-03T12:00:00.000Z",
      "updatedAt": "2025-06-03T12:00:00.000Z",
      "customerId": 2001,
      "disabled": false
    }
  ],
  "count": 500
}

Authorizations

Authorization
string
header
required

Authorization: Bearer <SPIRII_API_KEY>

Query Parameters

Search for token groups by name.

Maximum string length: 50
Example:

"Premium Users Group"

customerId
integer<integer>

Filter by a specific customer ID.

Required range: x >= 1
Example:

67890

disabled
boolean

Filter by active or inactive tokens.

sortBy
enum<string>
default:id

When set, returned token groups will be sorted by one of the available properties.

Available options:
id,
name,
createdAt,
updatedAt
sortDirection
enum<string>
default:desc

Set the direction of sorting.

Available options:
asc,
desc
offset
number
default:0

Skip the first N items in the result set.

Required range: x >= 0
limit
number
default:500

Limit the returned amount of tokens.

Required range: 1 <= x <= 1000

Response

Returned list of token groups.

data
object[]
required

A list of Token Groups.

count
integer
required

Total number of token groups matching the query.

Required range: x >= 1
Example:

500